Bug 394521 - /dev/fd0 floppy drive not defined on IBM 300GL
/dev/fd0 floppy drive not defined on IBM 300GL
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 11:36 EST by Todd Newell
Modified: 2008-01-14 06:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 06:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Todd Newell 2007-11-21 11:36:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
With Fedora installed on an IBM 300GL, the floppy drive is not available.  There are no files of type /dev/fdx defined in the system (where fdx is fd0, fd1, etc.)  Moved hard drive to another 300GL and booted with same results.  The floppy drive does appear in the BIOS setup.

By "floppy" I am referring to the standard 3.25 inch 1.44 MB floppy disk drive.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-49.fc8

How reproducible:
Always


Steps to Reproduce:
1. Installed Fedora 8 on IBM 300GL system
2. Use mtools to attempt to read floppy disk (mdir a:)
3. Check /dev directory for fd0 entry

Actual Results:
After step 2, got "Can't open /dev/fd0:  No such file or directory  Cannot initialize A:".
Step 3 shows no /dev/fd0 entry.

Expected Results:
Step 2 should have displayed the contents of the floppy.  Step 3 should show a /dev/fd0 entry.

Additional info:
Comment 1 Todd Newell 2008-01-03 14:47:15 EST
I have recently found that the "floppy" kernel module is not installed 
automatically on a 300GL with Fedora 8.  However if the command "modprobe 
floppy" is run, the floppy drive is recognized as it should be.  My workaround 
is to put the "modprobe floppy" command in /etc/rc.d/rc.local.
Comment 2 Hans de Goede 2008-01-14 05:12:58 EST
Short intro: I'm a Fedora contributer doing some kernel bug triaging. The flopy
driver should auto load, is the floppy drive enabled (set to 1.44M) in the bios
of the laptop? The bios is used to determine if a floppy drive is actually present.

If it isn't enabled, please try enabling it in the BIOS and then see if it will
work without the /etc/rc.d/rc.local modification.

If this works please close this bug as NOTABUG.

Either way changing component to udev as udev is responsible for loading the
floppy driver.
Comment 3 Harald Hoyer 2008-01-14 06:59:50 EST
$ cat /etc/modprobe.d/floppy-pnp
alias pnp:dPNP0700 floppy

your BIOS does not seem to advertise your floppy.

As this is very rare seen and all other users suffer from forcing the floppy
module to load, I can't fix this right now.

You may show me another possibility.

Note You need to log in before you can comment on or make changes to this bug.